Make it explicit that direct.h is needed only for Windows

This is implicitly guaranteed because configure only checks and
defines HAVE_DIRECT_H if Windows platform is detected.

This patch helps libdvdcss builds from inside MPlayer in 2 ways:

 1) It fixes OS/2 build because MPlayer configure defines
    HAVE_DIRECT_H on all platforms where it is available
 2) It allows MPlayer to use "#define HAVE_DIRECT_H 0" which
    is good for FFmpeg's libavformat

diff --git a/libdvdcss/libdvdcss.c b/libdvdcss/libdvdcss.c
index e3b60e1..da7ecd9 100644
--- src/libdvdcss.c
+++ src/libdvdcss.c
@@ -120,7 +120,7 @@
 #   include <limits.h>
 #endif
 
-#ifdef HAVE_DIRECT_H
+#if defined(WIN32) && defined(HAVE_DIRECT_H) && HAVE_DIRECT_H
 #   include <direct.h>
 #endif
 
@@ -238,7 +238,7 @@ LIBDVDCSS_EXPORT dvdcss_t dvdcss_open ( char *psz_target )
      */
     if( psz_cache == NULL || psz_cache[0] == '\0' )
     {
-#ifdef HAVE_DIRECT_H
+#if defined(WIN32) && defined(HAVE_DIRECT_H) && HAVE_DIRECT_H
         typedef HRESULT( WINAPI *SHGETFOLDERPATH )
                        ( HWND, int, HANDLE, DWORD, LPTSTR );
 

